Bug 212431 - IllegalStateException: Problem in some module which uses Window System: Window System API is required to be called from AWT thread only, see http://core.netbeans.org/proposals/threading/
IllegalStateException: Problem in some module which uses Window System: Windo...
Status: RESOLVED FIXED
Product: utilities
Classification: Unclassified
Component: Diff
7.2
All All
: P3 (vote)
: 7.2
Assigned To: Tomas Stupka
issues@versioncontrol
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-13 11:30 UTC by schkovich
Modified: 2012-05-15 10:10 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (3.12 KB, text/plain)
2012-05-13 11:30 UTC, schkovich
Details

Note You need to log in before you can comment on or make changes to this bug.
Description schkovich 2012-05-13 11:30:30 UTC
Build: NetBeans IDE Dev (Build 201205120400)
VM: Java HotSpot(TM) 64-Bit Server VM, 21.0-b17, Java(TM) SE Runtime Environment, 1.7.0-b147
OS: Linux

User Comments:
schkovich: Ctrl+s after resolving conflic in conflict editor.




Stacktrace: 
java.lang.IllegalStateException: Problem in some module which uses Window System: Window System API is required to be called from AWT thread only, see http://core.netbeans.org/proposals/threading/
   at org.netbeans.core.windows.WindowManagerImpl.warnIfNotInEDT(WindowManagerImpl.java:1709)
   at org.netbeans.core.windows.WindowManagerImpl.topComponentDisplayNameChanged(WindowManagerImpl.java:1316)
   at org.openide.windows.TopComponent.setName(TopComponent.java:963)
   at org.netbeans.modules.merge.builtin.visualizer.MergeDialogComponent.refreshName(MergeDialogComponent.java:393)
   at org.netbeans.modules.merge.builtin.visualizer.MergeDialogComponent.access$1000(MergeDialogComponent.java:89)
   at org.netbeans.modules.merge.builtin.visualizer.MergeDialogComponent$MergeNode.propertyChange(MergeDialogComponent.java:531)
Comment 1 schkovich 2012-05-13 11:30:37 UTC
Created attachment 119387 [details]
stacktrace
Comment 2 Ondrej Vrabec 2012-05-14 09:24:18 UTC
fix: http://hg.netbeans.org/core-main/rev/e867b7ba45e6
Comment 3 Quality Engineering 2012-05-15 10:10:20 UTC
Integrated into 'main-golden', will be available in build *201205150400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/e867b7ba45e6
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #212431 - IllegalStateException: Problem in some module which uses Window System: Window System API is required to be called from AWT thread only, see http://core.netbeans.org/proposals/threading/
save action seems to be async, window system methods must still be called from EDT


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo